package com.yonge.cooleshow.common.enums;

/**
 * @Author: liweifan
 * @Data: 2022/4/22 18:06
 */
public enum BizHttpStatus {
    IMPORT(450, "导入异常"),
    ;

    private final Integer code;
    private final String msg;

    BizHttpStatus(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

    public static BizHttpStatus valueOf(Integer code) {
        BizHttpStatus[] values = BizHttpStatus.values();
        for (BizHttpStatus value : values) {
            if(value.getCode().equals(code)){
                return value;
            }
        }
        return null;
    }
}
